net.i2p.util

## Enum EepGet.AUTH_MODE

- java.lang.Object
- - java.lang.Enum<EepGet.AUTH_MODE>
  - - net.i2p.util.EepGet.AUTH_MODE

- All Implemented Interfaces:
    Serializable, Comparable<EepGet.AUTH_MODE>
  Enclosing class:
    EepGet

      protected static enum EepGet.AUTH_MODE
      extends Enum<EepGet.AUTH_MODE>

  Authentication mode enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `DIGEST`
    `NONE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EepGet.AUTH_MODE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EepGet.AUTH_MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final EepGet.AUTH_MODE BASIC

    - #### DIGEST

          public static final EepGet.AUTH_MODE DIGEST

    - #### NONE

          public static final EepGet.AUTH_MODE NONE

    - #### UNKNOWN

          public static final EepGet.AUTH_MODE UNKNOWN

  - ### Method Detail

    - #### valueOf

          public static EepGet.AUTH_MODE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static EepGet.AUTH_MODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EepGet.AUTH_MODE c : EepGet.AUTH_MODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared